FLANG

Public Member Functions | List of all members
Fortran::semantics::GenericDetails Class Reference

## Public Member Functions
GenericKind | kind () const
void | set_kind (GenericKind kind)
const SymbolVector & | specificProcs () const
const std::vector< SourceName > & | bindingNames () const
void | AddSpecificProc (const Symbol &, SourceName bindingName)
Symbol * | specific ()
const Symbol * | specific () const
void | set_specific (Symbol &specific)
Symbol * | derivedType ()
const Symbol * | derivedType () const
void | set_derivedType (Symbol &derivedType)
void | CopyFrom (const GenericDetails &)
const Symbol * | CheckSpecific () const
Symbol * | CheckSpecific ()
const std::optional< UseDetails > & | useDetails () const
void | set_useDetails (const UseDetails &details)

The documentation for this class was generated from the following files:

- include/flang/Semantics/symbol.h
- lib/Semantics/symbol.cpp